summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Andrew Strong2018-07-24 11:24:09 +0200
committer Willy Sudiarto Raharjo2018-07-28 03:51:47 +0200
commitfce2db0928e129130f23d762dce7dcd476212c0f (patch)
tree872d27e4e4acfc615fab111372c5e83cf8be7e03 /graphics
parent8d8847909beb510b17572dff21e428a3b47716be (diff)
downloadslackbuilds-fce2db0928e129130f23d762dce7dcd476212c0f.tar.gz
graphics/gimp-plugin-export-layers: Added (Export Layers for GIMP).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gimp-plugin-export-layers/README12
-rw-r--r--graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.SlackBuild89
-rw-r--r--graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.info10
-rw-r--r--graphics/gimp-plugin-export-layers/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/graphics/gimp-plugin-export-layers/README b/graphics/gimp-plugin-export-layers/README
new file mode 100644
index 0000000000..f69a8c037a
--- /dev/null
+++ b/graphics/gimp-plugin-export-layers/README
@@ -0,0 +1,12 @@
+gimp-plugin-export-layers is a GIMP plug-in that exports layers as
+separate images. Features include:
+
+ * Export in any file format provided by GIMP and any installed
+ third-party plug-ins
+ * Treat layer groups as folders
+ * Preview layers to be exported
+ * Customize export with additional operations and constraints
+
+See the plugin from "File --> Export Layers..." with another option
+of "File --> Export Layers (repeat)" to subsequently export the same
+image (perhaps reworked) with identical export settings.
diff --git a/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.SlackBuild b/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.SlackBuild
new file mode 100644
index 0000000000..4834215d84
--- /dev/null
+++ b/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for gimp-plugin-export-layers
+
+# Copyright 2018, Andrew Strong, Blue Mountains, Australia.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimp-plugin-export-layers
+VERSION=${VERSION:-3.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=export_layers
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Compile flags are omitted here as this is a simple repackaging:
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+mkdir $SRCNAM-$VERSION
+cd $SRCNAM-$VERSION
+unzip $CWD/$SRCNAM-$VERSION.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find -L . -type f ! -name '*.py' -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+# Several 'zero length' files are added to the package which makepkg will complain
+# about later but I believe that all are actually required:
+cp -a export_layers.py export_layers $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Readme.html $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s /usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/export_layers/docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.info b/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.info
new file mode 100644
index 0000000000..d0e2005635
--- /dev/null
+++ b/graphics/gimp-plugin-export-layers/gimp-plugin-export-layers.info
@@ -0,0 +1,10 @@
+PRGNAM="gimp-plugin-export-layers"
+VERSION="3.2.1"
+HOMEPAGE="https://github.com/khalim19/gimp-plugin-export-layers"
+DOWNLOAD="https://github.com/khalim19/gimp-plugin-export-layers/releases/download/3.2.1/export_layers-3.2.1.zip"
+MD5SUM="1effd88c8a05529b43af473ea180848f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.strong@gmail.com"
diff --git a/graphics/gimp-plugin-export-layers/slack-desc b/graphics/gimp-plugin-export-layers/slack-desc
new file mode 100644
index 0000000000..4616cbb22e
--- /dev/null
+++ b/graphics/gimp-plugin-export-layers/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gimp-plugin-export-layers: gimp-plugin-export-layers (Export Layers Plugin for GIMP)
+gimp-plugin-export-layers:
+gimp-plugin-export-layers: With gimp-plugin-export-layers you can export layers as individual
+gimp-plugin-export-layers: images exporting to any file format provided by GIMP.
+gimp-plugin-export-layers:
+gimp-plugin-export-layers:
+gimp-plugin-export-layers: Homepage:
+gimp-plugin-export-layers: https://github.com/khalim19/gimp-plugin-export-layers
+gimp-plugin-export-layers:
+gimp-plugin-export-layers:
+gimp-plugin-export-layers: